Subject: Re: [Idr] 答复: 答复: [Lsr] New Version Notification for draft-wang-lsr-ospf-ifit-node-capability-02

From: "Acee Lindem (acee)" <[email-masked]>
Date: Sun, 29 Mar 2020 17:15:31 +0000

Hi Yali, 

Thanks for the quick turn around with the version incorporating my comments. 

https://datatracker.ietf.org/doc/draft-wang-lsr-ifit-node-capability-advertisement/

This is the organization of draft that I had in mind. It may need some more references to https://datatracker.ietf.org/doc/draft-song-opsawg-ifit-framework/ but that can come if the work progresses in OPSAWG.  Also, I was surprised not to see more discussion of the identifiers and name spaces in the base framework document. 

Thanks,
Acee 

On 3/16/20, 3:52 AM, "wangyali" <[email-masked]> wrote:

    Dear Acee,
    
    Many thanks for your comments. Taking your suggestion I am writing a new LSR draft to combine the OSPF draft, ISIS draft and BGP-LS draft and will add more context on how to use the IFIT Capability information.
    
    Best regards,
    Yali
    
    -----邮件原件-----
    发件人: Acee Lindem (acee) [mailto:[email-masked]] 
    发送时间: 2020年3月15日 2:18
    收件人: wangyali <[email-masked]>; [email-masked]
    抄送: IDR List <[email-masked]>
    主题: Re: 答复: [Lsr] New Version Notification for draft-wang-lsr-ospf-ifit-node-capability-02
    
    Hi Yali,
    Please add some more context to the draft as to how the information will be used. I say draft rather than drafts since you can really combine the OSPF draft, IS-IS draft, and BGP-LS draft into a single LSR document. For RFC 8379, we included the BGP-LS specification in the OSPF draft and the IDR chairs have agreed to this for simple encodings such as this one.  
    Thanks,
    Acee
    
    On 3/10/20, 4:46 AM, "wangyali" <[email-masked]> wrote:
    
        Dear Acee,
        
        Thanks a lot for your comments. I have revised the title of drafts and will take your suggestion to add more text on how to use the IFIT Capability information, once the submission is opened. Here is my quick reply:
        
        IFIT is deployed in a specific domain referred as the IFIT domain. One network domain may consists of multiple IFIT domain. Within the IFIT domain, one or more IFIT-options are added into packet at the IFIT-enabled head node that is referred to as the “IFIT encapsulating node”. Then IFIT data fields MAY be updated by IFIT transit nodes that the packet traverses. Finally, the data fields are removed at a device that is referred to as the “IFIT decapsulating node”. 
        
        The IFIT data fields must not leak to other domains. So, the IFIT encapsulating node need to know if the decapsulating node is able to support the IFIT capability. So that it can decide whether to add the IFIT-option or not.
        
        The solution is similar to RFC8491. We use IGP to advertise the capability, so that head node can use. By using BGP-LS, a centralized controller can also learn the IFIT Capability of nodes to determine whether a particular IFIT Option type can be supported in a given network.
        
        Best regards,
        Yali
        
        -----邮件原件-----
        发件人: Acee Lindem (acee) [mailto:[email-masked]] 
        发送时间: 2020年3月9日 18:30
        收件人: wangyali <[email-masked]>; [email-masked]
        主题: Re: [Lsr] New Version Notification for draft-wang-lsr-ospf-ifit-node-capability-02
        
        Hi Yali,
        
        A couple of very basic comments on these drafts. They are definitely not ready for consideration. 
        
            1. IFIT is never expanded as an acronym. Seems it should be as early as the title. 
        
                  OSPF extensions for Advertising In-Situ Flow Information Telemetry (IFIT) Capability
        
           2. You probably could come up with a more succinct acronym for IFIT. 
        
           3. The has no specification of how the capabilities are used. Are they purely informational? 
        
        Thanks,
        Acee

        
        On 3/9/20, 4:33 AM, "Lsr on behalf of wangyali" <[email-masked] on behalf of [email-masked]> wrote:
        
            Dear all,
            
            I'm Yali. Following is a new version of I-D, draft-wang-lsr-ospf-ifit-node-capability-02 I submitted recently.
            
            Please let me know your questions and comments. Thank you.
            
            Name:		draft-wang-lsr-ospf-ifit-node-capability
            Revision:	02
            Title:		Extensions to OSPF for Advertising IFIT Node Capability
            Document date:	2020-03-09
            Group:		Individual Submission
            Pages:		7
            URL:            https://www.ietf.org/internet-drafts/draft-wang-lsr-ospf-ifit-node-capability-02.txt
            Status:         https://datatracker.ietf.org/doc/draft-wang-lsr-ospf-ifit-node-capability/
            Htmlized:       https://tools.ietf.org/html/draft-wang-lsr-ospf-ifit-node-capability-02
            Htmlized:       https://datatracker.ietf.org/doc/html/draft-wang-lsr-ospf-ifit-node-capability
            Diff:           https://www.ietf.org/rfcdiff?url2=draft-wang-lsr-ospf-ifit-node-capability-02
            
            Abstract:
               This document defines a way for an Open Shortest Path First (OSPF)
               router originating the RI LSA to announce IFIT node capabilities
               within the entire routing domain.  A new optional TLV is extended to
               the OSPF RI Opaque LSA [RFC7770] to carry the IFIT node capability
               information.  Such advertisements enable IFIT applications in an
               operational network domain.  Here, the term "OSPF" includes both
               OSPFv2 and OSPFv3.
            
            Best regards,
            Yali WANG
            _______________________________________________
            Lsr mailing list
            [email-masked]
            https://www.ietf.org/mailman/listinfo/lsr

---

From: wangyali <[email-masked]>
Date: Mon, 30 Mar 2020 06:33:16 +0000

Hi Acee,

Thanks for your attention.

Quoting [draft-song-opsawg-ifit-framework], IFIT (In-situ Flow Information Telemetry) introduces a high-level reference framework that shows how network data-plane monitoring applications can be deployed. This framework identifies the components that are needed to coordinate the existing protocol tools and telemetry mechanisms. Besides, the IFIT framework document presents a reflection-loop working solution for network data-plane telemetry in a dynamic and interactive fashion. This introduced the requirement for IFIT node capability, and motivated the solution we proposed here. However, the detailed data-plane encodings are not discussed.

And the identifiers and name spaces, as well as the family of data-plane telemetry techniques we described have the same definitions in I-D.ietf-ippm-ioam-data, I-D.ietf-ippm-ioam-direct-export, and I-D.zhou-ippm-enhanced-alternate-marking, which are quoted in our draft.

Best regards,
Yali

-----邮件原件-----
发件人: Acee Lindem (acee) [mailto:[email-masked]] 
发送时间: 2020年3月30日 1:16
收件人: wangyali <[email-masked]>; [email-masked]
抄送: IDR List <[email-masked]>
主题: Re: [Lsr] 答复: 答复: New Version Notification for draft-wang-lsr-ospf-ifit-node-capability-02

Hi Yali, 

Thanks,
Acee 

    Dear Acee,

    Best regards,
    Yali
    
    -----邮件原件-----
    发件人: Acee Lindem (acee) [mailto:[email-masked]] 
    发送时间: 2020年3月15日 2:18
    收件人: wangyali <[email-masked]>; [email-masked]
    抄送: IDR List <[email-masked]>
    主题: Re: 答复: [Lsr] New Version Notification for draft-wang-lsr-ospf-ifit-node-capability-02
    
    Hi Yali,

        Dear Acee,

        

        Best regards,
        Yali
        
        -----邮件原件-----
        发件人: Acee Lindem (acee) [mailto:[email-masked]] 
        发送时间: 2020年3月9日 18:30
        收件人: wangyali <[email-masked]>; [email-masked]
        主题: Re: [Lsr] New Version Notification for draft-wang-lsr-ospf-ifit-node-capability-02
        
        Hi Yali,

        

        
        Thanks,
        Acee

        
        
            Dear all,

            
            
            Abstract:
            
            Best regards,
            Yali WANG